/*
ToolsMenu - Add tools to the Workbench Tools menu

Copyright (C) 2015, 2018  Kim Fastrup Larsen

This program is free software: you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation, either ver-
sion 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be use-
ful, but WITHOUT ANY WARRANTY; without even the implied war-
ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public Li-
cense along with this program. If not, see
<http://www.gnu.org/licenses/>.

The author can be contacted on <kimflarsen@hotmail.com>
*/

#ifndef ARGS_H
#define ARGS_H

#include <dos/dos.h>
#include <exec/types.h>

#include "common.h"

typedef struct {
    struct {
        BPTR dir;
        char *filename;
    } exe;
    BYTE cx_priority;
    Bool cx_popup;
    STRPTR cx_popkey;
} Args;

extern Args args;

void args_set_up(int argc, char **argv);
void args_clean_up(void);

#endif
