/*
ToolsMenu - Add tools to the Workbench Tools menu

Copyright (C) 2015, 2018  Kim Fastrup Larsen

This program is free software: you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation, either ver-
sion 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be use-
ful, but WITHOUT ANY WARRANTY; without even the implied war-
ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public Li-
cense along with this program. If not, see
<http://www.gnu.org/licenses/>.

The author can be contacted on <kimflarsen@hotmail.com>
*/

#ifndef WB_H
#define WB_H

#include <exec/types.h>

#include "cx.h"

ULONG wb_set_up(void);
struct AppWindow *wb_add_window(struct Window *);
void wb_remove_window(struct AppWindow *);
void wb_add_tool(Tool *);
void wb_remove_tool(Tool *);
void wb_handle_signal(void);
void wb_clean_up(void);

#endif
