/*
ToolsMenu - Add tools to the Workbench Tools menu

Copyright (C) 2015, 2018  Kim Fastrup Larsen

This program is free software: you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation, either ver-
sion 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be use-
ful, but WITHOUT ANY WARRANTY; without even the implied war-
ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public Li-
cense along with this program. If not, see
<http://www.gnu.org/licenses/>.

The author can be contacted on <kimflarsen@hotmail.com>
*/

#ifndef COMMON_H
#define COMMON_H

#define APP_NAME "ToolsMenu"
#define VERSION "1.6"
#define DATE "26.11.2018"
#define COPYRIGHT "Copyright  2015, 2018 Kim Fastrup Larsen"
#define TEMPLATE "CX_PRIORITY/N/K,CX_POPKEY/K,CX_POPUP/K"
#define CATALOG "toolsmenu.catalog"
#define TITLE APP_NAME " " VERSION

#define MAX_PATH_LENGTH 127

typedef enum { NO, YES } Bool;

char *copy_of(char *s);
void for_all(struct List *, void (*)(void *));
Bool is_in_list(struct List *, struct Node *);
struct Node *node_at(struct List *, int index);
int length_of(struct List *);
void delete_port(struct MsgPort *);

#endif
