/*
ToolsMenu - Add tools to the Workbench Tools menu

Copyright (C) 2015, 2018  Kim Fastrup Larsen

This program is free software: you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation, either ver-
sion 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be use-
ful, but WITHOUT ANY WARRANTY; without even the implied war-
ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public Li-
cense along with this program. If not, see
<http://www.gnu.org/licenses/>.

The author can be contacted on <kimflarsen@hotmail.com>
*/

#ifndef MESSAGE_H
#define MESSAGE_H

#include <intuition/intuition.h>

typedef struct {
    struct Gadget gadget;
    struct IntuiText text;
} Button;

typedef struct {
    struct Requester requester;
    Button button;
} Message;

int message_cons(Message *);
void message_layout(Message *, struct Window *, struct DrawInfo *,
 struct IntuiText *text, UBYTE *button_text);
void message_dest(Message *);

#endif
